AWS IoT Device SDK C++ v2: Aws::Greengrass::ServiceError Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
Aws::Greengrass::ServiceError Class Reference

`#include <GreengrassCoreIpcModel.h>`

Inheritance diagram for Aws::Greengrass::ServiceError:

## Public Member Functions
| ServiceError () noexcept
| ServiceError (const ServiceError &)=default
void | SetMessage (const Aws::Crt::String &message) noexcept
Aws::Crt::Optional< Aws::Crt::String > | GetMessage () noexcept override
void | SerializeToJsonObject (Aws::Crt::JsonObject &payloadObject) const noexcept override
bool | operator< (const ServiceError &) const noexcept
Public Member Functions inherited from Aws::Eventstreamrpc::OperationError
| OperationError () noexcept
Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
| AbstractShapeBase () noexcept
virtual | ~AbstractShapeBase () noexcept

## Static Public Member Functions
static void | s_loadFromJsonView (ServiceError &, const Aws::Crt::JsonView &) noexcept
static Aws::Crt::ScopedResource< OperationError > | s_allocateFromPayload (Aws::Crt::StringView, Aws::Crt::Allocator *) noexcept
static void | s_customDeleter (ServiceError *) noexcept
Static Public Member Functions inherited from Aws::Eventstreamrpc::OperationError
static void | s_customDeleter (OperationError *shape) noexcept
Static Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
static void | s_customDeleter (AbstractShapeBase *shape) noexcept

## Static Public Attributes
static const char * | MODEL_NAME = "aws.greengrass#ServiceError"

## Protected Member Functions
Aws::Crt::String | GetModelName () const noexcept override

## Additional Inherited Members
Protected Attributes inherited from Aws::Eventstreamrpc::AbstractShapeBase
Crt::Allocator * | m_allocator

## Constructor & Destructor Documentation

## ◆ ServiceError() [1/2]

Aws::Greengrass::ServiceError::ServiceError | ( |  | ) |
| inlinenoexcept

## ◆ ServiceError() [2/2]

Aws::Greengrass::ServiceError::ServiceError | ( | const ServiceError & |  | ) |
| default

## Member Function Documentation

## ◆ GetMessage()

Aws::Crt::Optional< Aws::Crt::String > Aws::Greengrass::ServiceError::GetMessage | ( |  | ) |
| inlineoverridevirtualnoexcept

Implements Aws::Eventstreamrpc::OperationError.

## ◆ GetModelName()

Aws::Crt::String Aws::Greengrass::ServiceError::GetModelName | ( |  | ) | const
| overrideprotectedvirtualnoexcept

Implements Aws::Eventstreamrpc::AbstractShapeBase.

## ◆ operator<()

bool Aws::Greengrass::ServiceError::operator< | ( | const ServiceError & |  | ) | const
| noexcept

## ◆ s_allocateFromPayload()

Aws::Crt::ScopedResource< OperationError > Aws::Greengrass::ServiceError::s_allocateFromPayload | ( | Aws::Crt::StringView | stringView,
|  | Aws::Crt::Allocator * | allocator
| ) |  |
| staticnoexcept

## ◆ s_customDeleter()

void Aws::Greengrass::ServiceError::s_customDeleter | ( | ServiceError * | shape | ) |
| staticnoexcept

## ◆ s_loadFromJsonView()

void Aws::Greengrass::ServiceError::s_loadFromJsonView | ( | ServiceError & | serviceError,
|  | const Aws::Crt::JsonView & | jsonView
| ) |  |
| staticnoexcept

## ◆ SerializeToJsonObject()

void Aws::Greengrass::ServiceError::SerializeToJsonObject | ( | Aws::Crt::JsonObject & | payloadObject | ) | const
| overridevirtualnoexcept

Reimplemented from Aws::Eventstreamrpc::OperationError.

## ◆ SetMessage()

void Aws::Greengrass::ServiceError::SetMessage | ( | const Aws::Crt::String & | message | ) |
| inlinenoexcept

## Member Data Documentation

## ◆ MODEL_NAME

const char * Aws::Greengrass::ServiceError::MODEL_NAME = "aws.greengrass#ServiceError"
| static

The documentation for this class was generated from the following files:

- greengrass_ipc/include/aws/greengrass/GreengrassCoreIpcModel.h
- greengrass_ipc/source/GreengrassCoreIpcModel.cpp